ISST-LTE:Ubuntu15.04: After migration of Ubuntu15.04 lpar, RMC connection on HMC will be lost (LPM)(kernel/powerpc-ibm-utils)

Bug #1441856 reported by bugproxy on 2015-04-08
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
High
Leann Ogasawara
powerpc-ibm-utils (Ubuntu)
Undecided
Adam Conrad

Bug Description

Defect Description:
----------------------------

For Ubuntu15.04 lpar which has Active RMC connection with HMC, once the lpar is migrated to another machine in same/different HMC, the RMC connection on HMC with the lpar will be lost.

The following upstream fixes are required to ensure device tree is properly updated after migration/suspend and that the RMC connection is not lost as a result.

From powerpc-utils upstream -next branch:
------------------------------------------------------------------

commit a941cdfb9609bba04c5bad18ab8af1c85b7b6a9b
Author: Tyrel Datwyler <email address hidden>
Date: Tue Mar 31 18:23:59 2015 -0400

    drmgr: Use sysfs migration store to initiate migration when possible

From mainline Linux 4.0:
--------------------------------------

commit f6ff04149637723261aa4738958b0098b929ee9e
Author: Tyrel Datwyler <email address hidden>
Date: Wed Mar 4 11:59:33 2015 -0800

    powerpc/pseries: Little endian fixes for post mobility device tree update

From mpe's PowerPC -next branch:
-----------------------------------------------------

commit 288a298c05774dde0a8d5abac9b692503d4e41f2
Author: Tyrel Datwyler <email address hidden>
Date: Wed Mar 4 18:25:38 2015 -0800

    powerpc/pseries: Introduce api_version to migration sysfs interface

commit c03e73740d24fbe990291cd9ac2d6ae0d95b975f
Author: Tyrel Datwyler <email address hidden>
Date: Fri Mar 27 12:47:25 2015 -0700

    powerpc/pseries: Simplify check for suspendability during suspend/migration

I have verified LPM after installing test packages containing the mentioned patches and now LPM works fine for me.

tags: added: architecture-ppc64le bugnameltc-123457 severity-critical targetmilestone-inin1504
Luciano Chavez (lnx1138) on 2015-04-08
affects: ubuntu → linux (Ubuntu)
Changed in linux (Ubuntu):
assignee: nobody → Taco Screen team (taco-screen-team)
status: New → Confirmed
Changed in linux (Ubuntu):
assignee: Taco Screen team (taco-screen-team) → Leann Ogasawara (leannogasawara)
importance: Undecided → High
status: Confirmed → Fix Committed
Adam Conrad (adconrad) on 2015-04-08
affects: powerpc-utils (Ubuntu) → powerpc-ibm-utils (Ubuntu)
Changed in powerpc-ibm-utils (Ubuntu):
assignee: nobody → Adam Conrad (adconrad)
Adam Conrad (adconrad) wrote :

powerpc-utils 1.2.25, which will contain this fix and a few others we want, will be released on Mondayish, so I'll roll it up and upload then.

Launchpad Janitor (janitor) wrote :
Download full text (4.2 KiB)

This bug was fixed in the package linux - 3.19.0-13.13

---------------
linux (3.19.0-13.13) vivid; urgency=low

  [ Andy Whitcroft ]

  * [Packaging] initscripts need installing when making the package
  * [Packaging] initscripts work around bug in debhelper systemd support

  [ Jay Vosburgh ]

  * SAUCE: fan: Proof of concept implementation
    - LP: #1439706

  [ Leann Ogasawara ]

  * Release Tracking Bug
    - LP: #1442165

  [ Upstream Kernel Changes ]

  * Revert "drm: fix mismerge in drm_crtc.c"
    - LP: #1440270, #1440392
  * e1000e: initial support for i219
    - LP: #1400955
  * e1000e: fix obscure comments
    - LP: #1400955
  * e1000e: remove calls to ioremap/unmap for NVM addr
    - LP: #1400955
  * d-i: Enable usb modules on arm64
  * drm/amdkfd: Initialize only amdkfd's assigned pipelines
  * storvsc: use cmd_size to allocate per-command data
  * storvsc: in responce to a scan event, scan the host
  * storvsc: force discovery of LUNs that may have been removed.
  * storvsc: fix a bug in storvsc limits
  * Drivers: hv: vmbus: Use get_cpu() to get the current CPU
  * Tools: hv: address compiler warnings for hv_fcopy_daemon.c
  * Tools: hv: do not add redundant '/' in hv_start_fcopy()
  * Drivers: hv: hv_balloon: Make adjustments in computing the floor
  * Drivers: hv: hv_balloon: Fix a locking bug in the balloon driver
  * Drivers: hv: hv_balloon: Don't post pressure status from interrupt
    context
  * Drivers: hv: vmbus: Implement a clockevent device
  * Drivers: hv: vmbus: Fix a bug in vmbus_establish_gpadl()
  * Drivers: hv: vmbus: Support a vmbus API for efficiently sending page
    arrays
  * hv: hv_fcopy: drop the obsolete message on transfer failure
  * Drivers: hv: check vmbus_device_create() return value in
    vmbus_process_offer()
  * Drivers: hv: rename sc_lock to the more generic lock
  * Drivers: hv: vmbus: serialize Offer and Rescind offer
  * Drivers: hv: vmbus: hv_process_timer_expiration() can be static
  * hyperv: netvsc.c: match wait_for_completion_timeout return type
  * hyperv: fix sparse warnings
  * powerpc/powernv: Add OPAL soft-poweroff routine
    - LP: #1439562
  * drivers/sbus/char/envctrl.c: ignore orderly_poweroff return value
    - LP: #1439562
  * kernel/reboot.c: add orderly_reboot for graceful reboot
    - LP: #1439562
  * powerpc/powernv: reboot when requested by firmware
    - LP: #1439562
  * powerpc/kernel: Make syscall_exit a local label
    - LP: #1439562
  * powerpc: Remove old compile time disabled syscall tracing code
    - LP: #1439562
  * powerpc: Add a proper syscall for switching endianness
    - LP: #1439562
  * powerpc/powernv: Remove "opal" prefix from pr_xxx()s
    - LP: #1439562
  * powerpc/powernv: Separate function for OPAL IRQ setup
    - LP: #1439562
  * powerpc/powernv: Add OPAL message notifier unregister function
    - LP: #1439562
  * powerpc/powernv: Support OPAL requested heartbeat
    - LP: #1439562
  * device: Add dev_of_node() accessor
    - LP: #1439562
  * drivers/core/of: Add symlink to device-tree from devices with an OF
    node
    - LP: #1439562
  * ipv6: Don't reduce hop limit for an interface
    - LP: #1441103
    - CVE-2015-2922
  * x86/microcode/int...

Read more...

Changed in linux (Ubuntu):
status: Fix Committed → Fix Released

------- Comment From <email address hidden> 2015-04-13 17:23 EDT-------
*** Bug 123681 has been marked as a duplicate of this bug. ***

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package powerpc-ibm-utils - 1.2.25-1

---------------
powerpc-ibm-utils (1.2.25-1) unstable; urgency=medium

  * New upstream release, with LE and hotplug fixes (LP: #1441856)
  * Drop our ppc64_cpu manpage, upstream has written a better one.

 -- Adam Conrad <adconrad@0c3.net> Mon, 13 Apr 2015 11:14:55 -0600

Changed in powerpc-ibm-utils (Ubuntu):
status: New → Fix Released
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2015-04-16 17:02 EDT-------
I have tested this with latest ubuntu 15.04 kernel and i did not hit with this issue. It seems issue has been fixed.

Hello bugproxy, or anyone else affected,

Accepted powerpc-ibm-utils into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/powerpc-ibm-utils/1.2.26-1~14.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: added: verification-needed

The verification of the Stable Release Update for powerpc-ibm-utils has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

tags: added: verification-done
removed: verification-needed
To post a comment you must log in.